<!-- log-reg-sec starts -->
<section class="log-reg-sec nonprofit-log">
    <div class="container">
        <div class="log-outer">
            <h2>Log into Your Account</h2>


            <div class="reset-pass-wrap non-pf-wrap">
                <div class="log-box box-br">
                    <h3>Log in using your email</h3>
                    <form [formGroup]="loginForm">
                        <div class="form-group">
                            <input type="email" formControlName="email" class="form-control" aria-describedby="emailHelp" placeholder="Email" [ngClass]="{ 'is-invalid': (loginForm.controls.email.touched || loginSubmitted) && loginForm.controls.email.errors }">
                            <p class="error_module" *ngIf="loginForm.controls.email.touched || loginSubmitted">
                                <app-form-validation-errors errorPrefix="Email " [errors]="loginForm.controls.email.errors"></app-form-validation-errors>
                            </p>
                        </div>
                        <div class="form-group">
                            <input type="password" formControlName="password" class="form-control" placeholder="Password" [ngClass]="{ 'is-invalid': (loginForm.controls.password.touched || loginSubmitted) && loginForm.controls.password.errors }">
                            <p class="error_module" *ngIf="loginForm.controls.password.touched || loginSubmitted">
                                <app-form-validation-errors minLength=10 maxLength=50 errorPrefix="Password " [errors]="loginForm.controls.password.errors"></app-form-validation-errors>
                            </p>
                        </div>
                        <div class="log-forget">
                            <a class="forget-pass" routerLink="/nonprofit/forgot-password">Forgot password?</a>
                            <button type="submit" (click)="validateLoginForm()" [disabled]="loginForm.invalid" class="btn btn-primary purchase-p-log">LOG IN</button>
                        </div>
                    </form>
                </div>
            </div>

        </div>
    </div>
</section>
<!-- log-reg-sec  ends -->